This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 158265 - tcsh -e bails out at the beginning of /etc/csh.cshrc
tcsh -e bails out at the beginning of /etc/csh.cshrc
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks: FC4Blocker
  Show dependency treegraph
 
Reported: 2005-05-19 22:11 EDT by Richard Walker
Modified: 2014-03-16 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.5.44-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-20 00:00:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for this (579 bytes, patch)
2005-05-19 23:59 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Richard Walker 2005-05-19 22:11:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/103u (KHTML, like Gecko) Safari/100

Description of problem:
running "tcsh -eX" for me produces this:
id -gn
id -un
id -u
[ cntrctrs = rjwalker -a 1009 -gt 99 ]
Then tcsh bails out - I do not get a new shell.


Version-Release number of selected component (if applicable):
setup-2.5.36-1

How reproducible:
Always

Steps to Reproduce:
1. Log in with a user where the user id and group id are different
2. Run tcsh -eX
  

Actual Results:  You don't get a new shell.


Expected Results:  You should get a new shell!

Additional info:

The problem is the very beginning of /etc/csh.cshrc.  It shouldn't use exit
codes in this way.  (And neither should any other script in /etc/profile.d.)

This sort of problem was identified previously in bug 139988.
Comment 1 Bill Nottingham 2005-05-19 23:59:40 EDT
Created attachment 114610 [details]
patch for this

Here's what will be in 2.5.44-1.
Comment 2 Bill Nottingham 2005-05-20 00:00:27 EDT
(Note that patch is relative to 2.5.43.)

Note You need to log in before you can comment on or make changes to this bug.